> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.americanexpress.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.americanexpress.ferndocs.com/_mcp/server.

# Get Status

GET https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status

Returns a health check status for the implementation.
Endpoint Version: 1

Reference: https://developer.americanexpress.ferndocs.com/open-banking/consumer-data-right/api-reference/get-status

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as `Authorization: Bearer <token>`.

## Request

### Headers

- `x-v` (string, required) — The version of the API endpoint requested by the Client. Must be set to a positive integer. The current supported version for this endpoint is 1.
- `x-min-v` (string, optional) — The minimum version of the API endpoint requested by the Client. Must be set to a positive integer if provided.
- `x-fapi-interaction-id` (string, optional) — An RFC4122 UUID used as a correlation ID. If provided, the data holder must play back this value in the x-fapi-interaction-id response header.

## Response

### 200

OK

- `data` (ResponseCommonDiscoveryStatusData, required)
- `links` (Links, required)
- `meta` (Meta, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ErrorV2, required) — A list of errors.

### 406 Not Acceptable Error

Not Acceptable

- `errors` (list of ErrorV2, required) — A list of errors.

### 429 Too Many Requests Error

Too Many Requests

- `any`

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ErrorV2, required) — A list of errors.

### 503 Service Unavailable Error

Service Unavailable

- `any`

### 504 Gateway Timeout Error

Gateway Timeout

- `any`

## Types

### ResponseCommonDiscoveryStatusData

- `status` (enum, required) — The status for the implementation.
  - Allowed values: `OK`, `PARTIAL_FAILURE`, `SCHEDULED_OUTAGE`, `UNAVAILABLE`
- `updateTime` (string, required) — The date and time that this status was last updated by the data holder.
- `explanation` (string, optional) — Provides an explanation of the current outage that can be displayed to an end Customer. Mandatory if the status property is any value other than OK.
- `detectionTime` (string, optional) — The date and time that the current outage was detected. Should only be present if the status property is PARTIAL_FAILURE or UNAVAILABLE.
- `expectedResolutionTime` (string, optional) — The date and time that full service is expected to resume (if known). Should not be present if the status property has a value of OK.

### Links

- `self` (string, required) — A fully qualified link that generated the current response document.

### Meta

### ErrorV2

- `code` (string, required) — The code of the error encountered. Where the error is specific to the respondent, an application-specific error code, expressed as a string value. If the error is application-specific, the URN code that the specific error extends must be provided in the meta object. Otherwise, the value is the error code URN.
- `title` (string, required) — A short, human-readable summary of the problem that MUST NOT change from occurrence to occurrence of the problem represented by the error code.
- `detail` (string, required) — A human-readable explanation specific to this occurrence of the problem.
- `meta` (ErrorV2Meta, optional) — Additional data for customised error codes.

### ErrorV2Meta

Additional data for customised error codes.

- `urn` (string, optional) — The CDR error code URN which the application-specific error code extends. Mandatory if the error code is an application-specific error rather than a standardised error code.

## Examples

**Response**

```json
{
  "data": {
    "status": "OK",
    "updateTime": "2026-06-04T05:00:00Z"
  },
  "links": {
    "self": "https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status"
  },
  "meta": {}
}
```

**SDK Code**

```python getStatus_example
import requests

url = "https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status"

headers = {
    "x-v": "1",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript getStatus_example
const url = 'https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status';
const options = {method: 'GET', headers: {'x-v': '1', Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getStatus_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-v", "1")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getStatus_example
require 'uri'
require 'net/http'

url = URI("https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-v"] = '1'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java getStatus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status")
  .header("x-v", "1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php getStatus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-v' => '1',
  ],
]);

echo $response->getBody();
```

```csharp getStatus_example
using RestSharp;

var client = new RestClient("https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status");
var request = new RestRequest(Method.GET);
request.AddHeader("x-v", "1");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift getStatus_example
import Foundation

let headers = [
  "x-v": "1",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://apigw.americanexpress.com/cdr/unauth/cds-au/v1/discovery/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```